Bug 1001413 - MapReduce documentation
MapReduce documentation
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR4
: 6.2.0
Assigned To: gsheldon
Josh West
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 22:51 EDT by Josh West
Modified: 2014-01-15 19:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 14115, Developer Guide-6.1-2 Build Date: 06-08-2013 10:08:07 Topic ID: 13351-381533 [Specified]
Last Closed: 2014-01-15 19:02:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh West 2013-08-26 22:51:29 EDT
Title: About MapReduce

Describe the issue:

Section 3.2. appears to be incorrect - see starred text:

3.b. If a Combiner has been specified with **task.combinedWith(Reducer)**, the Combiner is called on the Mapper results and the combiner's results are retured to the master node or inserted in the intermediary cache.

Suggestions for improvement:



Additional information:
Comment 2 gsheldon 2013-08-28 22:27:06 EDT
Adding NeedInfo for Dan.
Comment 3 Dan Berindei 2013-08-30 05:34:34 EDT
I agree that the section is a bit confusing, Combiner is capitalized so users might expect it to be an actual interface. But the combiner uses the Reducer interface, so task.combinedWith() has a Reducer parameter. Perhaps we should change **task.combinedWith(Reducer)** to **task.combinedWith(combiner)**, without a capital C?
Comment 6 Misha H. Ali 2014-01-15 19:02:13 EST
The fix for this bug is now generally released and available here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/index.html

Note You need to log in before you can comment on or make changes to this bug.